CLOptionDescriptor (Apache JMeter dist API)
Description: declaration: package: org.apache.commons.cli.avalon, class: CLOptionDescriptor

Package org.apache.commons.cli.avalon

# Class CLOptionDescriptor

java.lang.Object
org.apache.commons.cli.avalon.CLOptionDescriptor

public final class CLOptionDescriptor extends Object
Basic class describing an type of option. Typically, one creates a static array of `CLOptionDescriptor`s, and passes it to `CLArgsParser(String[], CLOptionDescriptor[])`.

See Also:
  - `CLArgsParser`
  - `CLUtil`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ARGUMENT_DISALLOWED`
  Flag to say this option does not take arguments
  `static final int`
  `ARGUMENT_OPTIONAL`
  Flag to say that the argument is optional
  `static final int`
  `ARGUMENT_REQUIRED`
  Flag to say that one argument is required
  `static final int`
  `ARGUMENTS_REQUIRED_2`
  Flag to say this option requires 2 arguments
  `static final int`
  `DUPLICATES_ALLOWED`
  Flag to say this option may be repeated on the command line

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLOptionDescriptor(String name, int flags, int id, String description)`
  Constructor.
  `CLOptionDescriptor(String name, int flags, int id, String description, CLOptionDescriptor[] incompatible)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getDescription()`
  Retrieve textual description.
  `final int`
  `getFlags()`
  Retrieve flags about option.
  `final int`
  `getId()`
  Retrieve the id for option.
  `final String`
  `getName()`
  Retrieve name of option which is also text for long option.
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ARGUMENT_REQUIRED

    public static final int ARGUMENT_REQUIRED
    Flag to say that one argument is required
    See Also:
      - Constant Field Values

  - ### ARGUMENT_OPTIONAL

    public static final int ARGUMENT_OPTIONAL
    Flag to say that the argument is optional
    See Also:
      - Constant Field Values

  - ### ARGUMENT_DISALLOWED

    public static final int ARGUMENT_DISALLOWED
    Flag to say this option does not take arguments
    See Also:
      - Constant Field Values

  - ### ARGUMENTS_REQUIRED_2

    public static final int ARGUMENTS_REQUIRED_2
    Flag to say this option requires 2 arguments
    See Also:
      - Constant Field Values

  - ### DUPLICATES_ALLOWED

    public static final int DUPLICATES_ALLOWED
    Flag to say this option may be repeated on the command line
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CLOptionDescriptor

    public CLOptionDescriptor(String name, int flags, int id, String description)
    Constructor.
    Parameters:
      `name` - the name/long option
      `flags` - the flags
      `id` - the id/character option
      `description` - description of option usage

  - ### CLOptionDescriptor

    public CLOptionDescriptor(String name, int flags, int id, String description, CLOptionDescriptor[] incompatible)
    Constructor.
    Parameters:
      `name` - the name/long option
      `flags` - the flags
      `id` - the id/character option
      `description` - description of option usage
      `incompatible` - descriptors for incompatible options

- ## Method Details

  - ### getDescription

    public final String getDescription()
    Retrieve textual description.
    Returns:
      the description

  - ### getFlags

    public final int getFlags()
    Retrieve flags about option. Flags include details such as whether it allows parameters etc.
    Returns:
      the flags

  - ### getId

    public final int getId()
    Retrieve the id for option. The id is also the character if using single character options.
    Returns:
      the id

  - ### getName

    public final String getName()
    Retrieve name of option which is also text for long option.
    Returns:
      name/long option

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`